Package org.picocontainer.classname

# Class ClassPathElement

java.lang.Object
org.picocontainer.classname.ClassPathElement

All Implemented Interfaces:
  `Serializable`

public class ClassPathElement extends Object implements Serializable
ClassPathElement denotes an element in a classpath allowing to grant permissions.

Author:
  Paul Hammant
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassPathElement(URL url)`

## Method Summary

Modifier and Type
Method
Description
`Permissions`
`getPermissionCollection()`
`URL`
`getUrl()`
`Permission`
`grantPermission(Permission permission)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassPathElement

public ClassPathElement(URL url)

## Method Details

### grantPermission

public Permission grantPermission(Permission permission)

### getUrl

public URL getUrl()

### getPermissionCollection

public Permissions getPermissionCollection()

### toString

public String toString()

Overrides:
  `toString` in class `Object`